org.eclipse.graphiti.ui.internal.services

## Interface ITraceService

All Known Implementing Classes:
  TraceService

    public interface ITraceService

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dumpEditPartTree(org.eclipse.gef.EditPart editPart)`
`void` `dumpEditPartTree(org.eclipse.gef.EditPart editPart, int indent)`
`void` `dumpFigureTree(org.eclipse.draw2d.IFigure figure)`
`void` `dumpFigureTree(org.eclipse.draw2d.IFigure figure, int indent)`
`void` `dumpFigureTreeWithConnectionLayer(org.eclipse.draw2d.IFigure figure)`
`void` `dumpGATree(GraphicsAlgorithm ga)`
`void` `dumpGATree(GraphicsAlgorithm ga, int indent)`
`void` `dumpPictogramModelTree(PictogramElement pe)`
`void` `dumpPictogramModelTree(PictogramElement pe, int indent)`
`String` `getStacktrace(Throwable t)` Returns the stacktrace of the given Throwable.

### Method Detail

#### getStacktrace

    String getStacktrace(Throwable t)

Returns the stacktrace of the given Throwable.

Parameters:
  `The` - Throwable, for which to get the stacktrace.
Returns:
  The stacktrace of the given Throwable.

#### dumpFigureTree

    void dumpFigureTree(org.eclipse.draw2d.IFigure figure)

#### dumpFigureTreeWithConnectionLayer

    void dumpFigureTreeWithConnectionLayer(org.eclipse.draw2d.IFigure figure)

#### dumpFigureTree

    void dumpFigureTree(org.eclipse.draw2d.IFigure figure,
                        int indent)

#### dumpEditPartTree

    void dumpEditPartTree(org.eclipse.gef.EditPart editPart)

#### dumpEditPartTree

    void dumpEditPartTree(org.eclipse.gef.EditPart editPart,
                          int indent)

#### dumpPictogramModelTree

    void dumpPictogramModelTree(PictogramElement pe)

#### dumpPictogramModelTree

    void dumpPictogramModelTree(PictogramElement pe,
                                int indent)

#### dumpGATree

    void dumpGATree(GraphicsAlgorithm ga)

#### dumpGATree

    void dumpGATree(GraphicsAlgorithm ga,
                    int indent)